<?php
require './Classes/mpdf/vendor/autoload.php';
include '../conexion.php';

//$mpdf = new \Mpdf\Mpdf();
$id=$_GET['id'];
$idx=$id;

$consultax=null;
$mpdf = new \Mpdf\Mpdf([
    'mode' => 'utf-8',
    'format' => 'A4',
    'shrink_tables_to_fit' => 0 // Deshabilitar el ajuste automático de tamaño de las tablas
]);
$mpdf->SetDisplayMode('fullpage');

$mpdf->WriteHTML('<style>
body {
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 10pt; /* Cambia el tamaño de letra a 12 puntos */
}
.no-break {
    page-break-inside: avoid; /* Evita que la tabla se divida entre páginas */
    /*width: 100%; /* Asegura que la tabla use el ancho completo de la página */
}
thead {
    display: table-header-group; /* Asegura que el encabezado se repita en la nueva página si la tabla se divide */
}
th{
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 8pt; /* Cambia el tamaño de letra a 12 puntos */
    background:#C5CACF;
}
td{
    font-family: Arial, sans-serif; /* Cambia el tipo de letra a Arial */
    font-size: 8pt; /* Cambia el tamaño de letra a 12 puntos */
    text-align:right;
}
td#medida{
    text-align:left;
}
th#derecha{
    text-align:right;
}
tfoot {
    display: table-footer-group; /* Asegura que el pie de página se repita en la nueva página si la tabla se divide */
}
</style>');
$mpdf -> SetTitle('Entrega de Uniformes');
$mpdf -> WriteHTML('<body>');
$mpdf -> WriteHTML('<div style="text-align: center;"><strong>TRASPASOS DE UNIFORMES</strong></div>');

$mpdf -> WriteHTML('<br>');
$consulta=mysqli_query($connection,"SELECT * from datos_traspasos where idmovimientosUni='".$id."' group by idmovimientosUni");
$result = mysqli_num_rows($consulta);
$num_emp=null;
        $origen=null;
        $lugar_asignado=null;
        $fecha_entrega=null;
        

if ($result > 0) {
    while ($data = mysqli_fetch_array($consulta)) {
        $origen=$data['dato2'];
        $destino=$data['dato3'];
        $fecha_entrega=$data['fechaMov'];
        
    }
}

$mpdf -> WriteHTML('<div style="position: absolute; right: 50px;"><table >
<tr><td>Entrega #:</td><td style="color:red; border:1;"><strong>'.$idx.'</strong></td></tr>
<tr><td>Fecha Entrega:</td><td style="border:1;">'.date('d/m/Y',strtotime($fecha_entrega)).'</td></tr>
</table></div>
<br><br><br>');
$mpdf -> WriteHTML('<table >
<tr><td style="text-align:left;">Sucursal Origen:</td><td style="border-bottom:1px solid black;text-align:left;width:200px"><strong>'.$origen.'</strong></td>
<td style="text-align:left;padding-left:50px">Sucursal Destino:</td><td style="border-bottom:1px solid black;text-align:left;width:200px"><strong>'.$destino.'</strong></td></tr>
</table>
<br><br>');

$consultax=mysqli_query($connection,"SELECT * from datos_traspasos where idmovimientosUni='".$id."'");
$resultx = mysqli_num_rows($consultax);
$mpdf->WriteHTML('<div style="width: 100%; text-align: center; height: 600px;">
                    <strong>Equipo Transferido:</strong>
                    <table border="1" style="margin-left: auto; margin-right: auto;">
                        <thead>
                            <tr>
                                <td style="width:50px;text-align:center;background:#C5CACF"><strong>Cantidad:</strong></td>
                                <td style="width:400px;text-align:center;background:#C5CACF"><strong>Descripción</strong></td>
                            </tr>
                        </thead>
                        <tbody>');
if ($resultx > 0) {
    while ($datax = mysqli_fetch_array($consultax)) {
        $mpdf->WriteHTML('<tr>
                            <td style="text-align:right;padding-right:20px;">'.$datax['cant'].'</td>
                            <td style="text-align:left;padding-left:20px">'.$datax['u_descripcion'].' '.$datax['medida'].' '.$datax['estado'].' '.'</td>
                          </tr>');
    }
}
$mpdf->WriteHTML('</tbody></table></div><br><br>');

$mpdf->WriteHTML('Confirmo que se me ha entregado el equipo arriba mencionado, y se ha ingresado al inventario.');

$mpdf->WriteHTML('<div style="width: 100%; text-align: center; height: 600px;">
                    
                    <table style="margin-left: auto; margin-right: auto;">
                    <tr>
                            <td style="text-align:center;border-bottom:1;"><br><br><br><br><br>________________________________________________________<br>
                    
                            Nombre y firma de quien envia</td>
                          
                          <td style="width:20px"></td>
                            <td style="text-align:center;border-bottom:1;"><br><br><br><br><br>________________________________________________________<br>
                            Nombre y firma de quien recibe</td>
                          </tr>
                          
                          ');

$mpdf->WriteHTML('</tbody></table></div><br><br>');


$mpdf -> WriteHTML('');
$mpdf -> WriteHTML('</body>');
$mpdf -> Output('./archivos/NombreDeTuArchivo.pdf', 'I');
exit;
?>